Bug 973415 - Unable to create JMS queue/topic with name it was created earlier but deleted
Unable to create JMS queue/topic with name it was created earlier but deleted
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.8
Unspecified Unspecified
high Severity high (vote)
: ---
: RHQ 4.9
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: 885136
  Show dependency treegraph
 
Reported: 2013-06-11 17:49 EDT by Lukas Krejci
Modified: 2014-03-26 04:31 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 885136
Environment:
Last Closed: 2014-03-26 04:31:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukas Krejci 2013-06-11 17:49:01 EDT
+++ This bug was initially created as a clone of Bug #885136 +++

I am not able to create new JMS queue in EAP5 server if it uses the same name as JMS queue which was already removed.

It is caused that even after JMS queue deletion its .xml file remains in deployment directory of EAP server even though EAP5 server at least in jmx-console no longer knows about the JMS queue. 

The deployment of JMS queue is made with options=[FailIfExists] and it causes to fail because the file is still there even though it is no longer available in EAP5 server (jmx-console).

Steps to reproduce:

create through JON ui new JMS queue for EAP5 server, after successful creation delete it. And try to create new JMS queue with the same name. It is not created.

The same goes for JMS topic
Comment 1 Lukas Krejci 2013-06-27 17:57:52 EDT
commit 4e26dfab092c2b1eede832426b6757fa4d458c72
Author: Lukas Krejci <lkrejci@redhat.com>
Date:   Wed Jun 12 00:13:48 2013 +0200

    [BZ 973415] - Empty deployments trailing behind.
    
    If a deployment has a sole component and we delete that component, I assume
    it is fairly safe to remove such deployment because it would essentially
    be left empty supplying no effective configuration of the server.
    
    Removing empty deployments fixes the strange behavior where a new
    deployment was created when creating a queue, topic, datasource, connection
    factory and other resources, but once such resource was deleted we would
    only delete the corresponding PS component, leaving the deployment and its
    config files behind. If a new attempt to create a queue/topic/etc with the
Comment 2 Heiko W. Rupp 2014-03-26 04:31:36 EDT
Bulk closing now that 4.10 is out.

If you think an issue is not resolved, please open a new BZ and link to the existing one.

Note You need to log in before you can comment on or make changes to this bug.